Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
m
Line 16: Line 16:
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
<div class="mw-translate-fuzzy">
+
{{Caption|Line created by two points}}
[[Image:Draft_Line_example.jpg|400px]]
 
</div>
 
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Revision as of 11:25, 9 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. L'outil Ligne crée une ligne droite définie par deux points. Il utilise le style de ligne défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Line created by two points


Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

The line can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

Fusing single lines

If several connected Draft Lines are selected they can be fused into a wire by pressing the Draft Upgrade.svg Draft Upgrade tool; however, this wire will not be editable. To create an editable wire, use Draft Upgrade.svg Draft Upgrade three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the Draft Wire.svg Draft Wire tool.

A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the Draft AddPoint.svg add point button, and click anywhere on the line.

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Propriétés

  • DonnéesStart: Le point de départ
  • DonnéesEnd: Le point final
  • DonnéesSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Introduit dans la version 0.16

Data

  • DataStart: specifies the start point.
  • DataEnd: specifies the end point.
  • DataSubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • DataLength: (read-only) specifies the length of the segment.

View

  • ViewEnd Arrow: if it is True it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ViewArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ViewArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Script

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.
  • Crée un objet Line </ code> entre les points <code> p1 </ code> et <code> p2 </ code>, chacun défini comme un <code> FreeCAD.Vector </ code>

+

  • Crée un objet <code> Line </ code> à partir d'un <code> Part.LineSegment </ code>
  • Crée un objet <code> Line </ code> du premier sommet au dernier sommet de la <code> forme </ code> donnée
  • Le Style de trait actuel actuel sera utilisé

</div>

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)